Bug 135646 - Attaching a much expanded syntax file for Stata to be used by Kate
Summary: Attaching a much expanded syntax file for Stata to be used by Kate
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-14 19:22 UTC by larry radbill
Modified: 2011-08-12 08:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Working version of the file. (95.56 KB, text/plain)
2006-12-15 17:10 UTC, Dominik Haumann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description larry radbill 2006-10-14 19:22:45 UTC
Version:           2.5.4 (using KDE KDE 3.5.4KDE 1.2)
Installed from:    Fedora RPMsUbuntu Packages
OS:                Linux

Syntax highlighting for Stata -- much expanded:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE language SYSTEM "language.dtd">
<language
  name="Stata"
  version="2.00"
  kateversion="2.4.1"
  section="Sources"
  extensions="*.do; *.ado; *.doh; *.log; *.DO; *.ADO; *.DOH; *.LOG"
  casesensitive="1"
  priority="5"
  author="Larry Radbill (Larry.Radbill@gmail.com)"
  license="LGPL"
  >

  <highlighting>

    <list name="graphics-options">

      <item> addlabels </item>
      <item> addlabopts </item>
      <item> addplot </item>
      <item> bar </item>
      <item> barwidth </item>
      <item> bin </item>
      <item> blabel </item>
      <item> caption </item>
      <item> center </item>
      <item> circle </item>
      <item> circle_hollow </item>
      <item> color </item>
      <item> cols </item>
      <item> combine </item>
      <item> dot </item>
      <item> draw </item>
      <item> dropline </item>
      <item> frequency </item>
      <item> grid </item>
      <item> hbar </item>
      <item> imargin </item>
      <item> labsize </item>
      <item> legend </item>
      <item> margin </item>
      <item> medthick </item>
      <item> mlabangle </item>
      <item> mlabcolor </item>
      <item> mlabel </item>
      <item> mlabgap </item>
      <item> mlabposition </item>
      <item> mlabsize </item>
      <item> mlabstyle </item>
      <item> mlabtextstyle </item>
      <item> mlabvposition </item>
      <item> msymbol </item>
      <item> name </item>
      <item> nodraw </item>
      <item> nogrid </item>
      <item> over </item>
      <item> plotregion </item>
      <item> position </item>
      <item> ring </item>
      <item> rows </item>
      <item> scale </item>
      <item> size </item>
      <item> start </item>
      <item> subtitle </item>
      <item> t1title </item>
      <item> t2title </item>
      <item> text </item>
      <item> textsize </item>
      <item> title </item>
      <item> xcommon </item>
      <item> xlabel </item>
      <item> xline </item>
      <item> xscale </item>
      <item> xsize </item>
      <item> xtitle </item>
      <item> ycommon </item>
      <item> ylabel </item>
      <item> yline </item>
      <item> yscale </item>
      <item> ysize </item>
      <item> ytitle </item>
      <item> zero </item>
    </list>

    <list name="Stata-colors">
      <item> background </item>
      <item> bg </item>
      <item> black </item>
      <item> blue </item>
      <item> bluishgray </item>
      <item> brown </item>
      <item> cranberry </item>
      <item> cyan </item>
      <item> dimgray </item>
      <item> dkgreen </item>
      <item> dknavy </item>
      <item> dkorange </item>
      <item> ebblue </item>
      <item> ebg </item>
      <item> edkblue </item>
      <item> eggshell </item>
      <item> eltblue </item>
      <item> eltgreen </item>
      <item> emerald </item>
      <item> emidblue </item>
      <item> erose </item>
      <item> fg </item>
      <item> foreground </item>
      <item> forest_green </item>
      <item> gold </item>
      <item> gray </item>
      <item> green </item>
      <item> gs </item>
      <item> khaki </item>
      <item> lavender </item>
      <item> lime </item>
      <item> ltblue </item>
      <item> ltbluishgray </item>
      <item> ltkhaki </item>
      <item> magenta </item>
      <item> maroon </item>
      <item> midblue </item>
      <item> midgreen </item>
      <item> mint </item>
      <item> navy </item>
      <item> none </item>
      <item> olive </item>
      <item> olive_teal </item>
      <item> orange </item>
      <item> orange_red </item>
      <item> pink </item>
      <item> purple </item>
      <item> red </item>
      <item> sand </item>
      <item> sandb </item>
      <item> sienna </item>
      <item> stone </item>
      <item> teal </item>
      <item> white </item>
      <item> yellow </item>
    </list>

    <list name="proc-options">
      <item> accum </item>
      <item> as </item>
      <item> ascending </item>
      <item> BASE </item>
      <item> be </item>
      <item> begin </item>
      <item> bfgs </item>
      <item> bhhh </item>
      <item> brrweight </item>
      <item> clean </item>
      <item> close </item>
      <item> clpatt|[ern] </item>
      <item> clwidth </item>
      <item> cole </item>
      <item> color </item>
      <item> confirm </item>
      <item> continue </item>
      <item> cov(unstr) </item>
      <item> cov(unstructured) </item>
      <item> covariance </item>
      <item> dash </item>
      <item> define </item>
      <item> deft </item>
      <item> delmacs </item>
      <item> detail </item>
      <item> dev </item>
      <item> deviations </item>
      <item> dfp </item>
      <item> difficult </item>
      <item> dirname </item>
      <item> do </item>
      <item> effects </item>
      <item> eform </item>
      <item> else </item>
      <item> emdots </item>
      <item> emiterate </item>
      <item> emlog </item>
      <item> emonly </item>
      <item> emtolerance </item>
      <item> end </item>
      <item> error </item>
      <item> estmetric </item>
      <item> exchangeable </item>
      <item> exit </item>
      <item> family </item>
      <item> fe </item>
      <item> fitted </item>
      <item> force </item>
      <item> foreach </item>
      <item> forvalues </item>
      <item> fpc </item>
      <item> frequency </item>
      <item> function </item>
      <item> global </item>
      <item> gtolerance </item>
      <item> hessian </item>
      <item> ic </item>
      <item> identity </item>
      <item> if </item>
      <item> in </item>
      <item> independent </item>
      <item> intpoints </item>
      <item> irr </item>
      <item> iterate </item>
      <item> jkrweight </item>
      <item> lincom </item>
      <item> linearized </item>
      <item> local </item>
      <item> long </item>
      <item> ltolerance </item>
      <item> macro </item>
      <item> manage </item>
      <item> meff </item>
      <item> meft </item>
      <item> minimize </item>
      <item> mle </item>
      <item> mse </item>
      <item> multiplier </item>
      <item> noclear </item>
      <item> nocons </item>
      <item> noconstant </item>
      <item> nodots </item>
      <item> nofetable </item>
      <item> nogroup </item>
      <item> noheader </item>
      <item> nolog </item>
      <item> nolrtest </item>
      <item> none </item>
      <item> nonrtolerance </item>
      <item> noobs </item>
      <item> noomit </item>
      <item> noretable </item>
      <item> nostderr </item>
      <item> not </item>
      <item> nr </item>
      <item> of </item>
      <item> offset </item>
      <item> or </item>
      <item> p </item>
      <item> parse </item>
      <item> patterns </item>
      <item> poststrata </item>
      <item> postweight </item>
      <item> prefix </item>
      <item> program </item>
      <item> r2_p </item>
      <item> reffects </item>
      <item> reml </item>
      <item> reset </item>
      <item> resid </item>
      <item> run </item>
      <item> scale </item>
      <item> shift </item>
      <item> showstep </item>
      <item> SITE </item>
      <item> size </item>
      <item> star </item>
      <item> stats </item>
      <item> STBPLUS </item>
      <item> stfmt </item>
      <item> store </item>
      <item> strata </item>
      <item> syntax </item>
      <item> tempfile </item>
      <item> tempname </item>
      <item> tempvar </item>
      <item> tokenize </item>
      <item> tolerance </item>
      <item> unstructured </item>
      <item> until </item>
      <item> UPDATES </item>
      <item> weight </item>
      <item> while </item>
      <item> wide </item>
      <item> window </item>
      <item> x2 </item>
      <item> xb </item>

      <item> _b[ </item>
      <item> _coeff[ </item>

      <item> ereturn </item>
      <item> rreturn </item>
      <item> sreturn </item>

      <item> e( </item>
      <item> r( </item>
      <item> s( </item>
    </list>

    <list name="macro-extended-functions">
      <item> all </item>
      <item> BASE </item>
      <item> coleq </item>
      <item> colfullnames </item>
      <item> coln </item>
      <item> colnames </item>
      <item> constraint </item>
      <item> data </item>
      <item> dir </item>
      <item> display </item>
      <item> environment </item>
      <item> format </item>
      <item> l </item>
      <item> label </item>
      <item> length </item>
      <item> list </item>
      <item> nobreak </item>
      <item> nofail </item>
      <item> permname </item>
      <item> PERSONAL </item>
      <item> piece </item>
      <item> PLUS </item>
      <item> quoted </item>
      <item> row </item>
      <item> roweq </item>
      <item> rowfullnames </item>
      <item> rown </item>
      <item> rownames </item>
      <item> SITE </item>
      <item> sortedby </item>
      <item> STATA </item>
      <item> strict </item>
      <item> sysdir </item>
      <item> tempfile </item>
      <item> tempvar </item>
      <item> tsnorm </item>
      <item> UPDATES </item>
      <item> value </item>
      <item> variable </item>
    </list>

    <list name="Internal-Stata-commands">
      <item> allstring </item>
      <item> append </item>
      <item> args </item>
      <item> aweight </item>
      <item> born </item>
      <item> by </item>
      <item> bys </item>
      <item> bysort </item>
      <item> byte </item>
      <item> capture </item>
      <item> cfreq </item>
      <item> clear </item>
      <item> Cns </item>
      <item> Co </item>
      <item> collinear </item>
      <item> columns </item>
      <item> comma </item>
      <item> compress </item>
      <item> connect </item>
      <item> console </item>
      <item> cpercent </item>
      <item> cr </item>
      <item> d0 </item>
      <item> data </item>
      <item> datestring </item>
      <item> decode </item>
      <item> delimit </item>
      <item> depnames </item>
      <item> desc </item>
      <item> describe </item>
      <item> di </item>
      <item> diparm_options </item>
      <item> display </item>
      <item> double </item>
      <item> drop </item>
      <item> eclass </item>
      <item> encode </item>
      <item> esample </item>
      <item> Ev </item>
      <item> exec </item>
      <item> fam </item>
      <item> fdadescribe </item>
      <item> fdasave </item>
      <item> fdause </item>
      <item> filefilter </item>
      <item> float </item>
      <item> format </item>
      <item> fweight </item>
      <item> gen </item>
      <item> generate </item>
      <item> gr|[een] </item>
      <item> gradient </item>
      <item> hold </item>
      <item> include </item>
      <item> insert </item>
      <item> insheet </item>
      <item> int </item>
      <item> iweight </item>
      <item> k </item>
      <item> keep </item>
      <item> label </item>
      <item> Ld </item>
      <item> link </item>
      <item> load </item>
      <item> long </item>
      <item> longstub </item>
      <item> macrolen </item>
      <item> markout </item>
      <item> marksample </item>
      <item> maximize </item>
      <item> meanonly </item>
      <item> mlmatsbysum </item>
      <item> mlout </item>
      <item> mode </item>
      <item> model </item>
      <item> more </item>
      <item> N </item>
      <item> namelen </item>
      <item> noextend </item>
      <item> nofootnote </item>
      <item> noi </item>
      <item> noisily </item>
      <item> nolabel </item>
      <item> nonotes </item>
      <item> nopreserve </item>
      <item> norescale </item>
      <item> noscvars </item>
      <item> nosummary </item>
      <item> nototal </item>
      <item> nrtolerance </item>
      <item> obs </item>
      <item> odbc </item>
      <item> off </item>
      <item> oim </item>
      <item> on </item>
      <item> oneway </item>
      <item> opg </item>
      <item> order </item>
      <item> outfile </item>
      <item> outsheet </item>
      <item> percent </item>
      <item> permanently </item>
      <item> post </item>
      <item> postclose </item>
      <item> postfile </item>
      <item> preserve </item>
      <item> Psi </item>
      <item> pweight </item>
      <item> query </item>
      <item> qui </item>
      <item> quietly </item>
      <item> rawsum </item>
      <item> red </item>
      <item> ren </item>
      <item> rename </item>
      <item> replace </item>
      <item> Replay </item>
      <item> report </item>
      <item> repost </item>
      <item> restore </item>
      <item> robust </item>
      <item> save </item>
      <item> saving </item>
      <item> SD </item>
      <item> SE </item>
      <item> search </item>
      <item> set </item>
      <item> shownrtolerance </item>
      <item> sort </item>
      <item> sqlfile </item>
      <item> sqlshow </item>
      <item> STATA </item>
      <item> statistics </item>
      <item> sum </item>
      <item> summarize </item>
      <item> t1title </item>
      <item> t2title </item>
      <item> tab </item>
      <item> tabulate </item>
      <item> technique </item>
      <item> timer </item>
      <item> total </item>
      <item> unhold </item>
      <item> unique </item>
      <item> uniquemaster </item>
      <item> uniqusing </item>
      <item> use </item>
      <item> using </item>
      <item> V </item>
      <item> values </item>
      <item> variable </item>
      <item> varlist </item>
      <item> VCE </item>
      <item> waldtest </item>
      <item> width </item>
      <item> xlabel </item>
      <item> xmlsave </item>
      <item> xmluse </item>
      <item> yellow </item>
      <item> ylabel </item>
      <item> yline </item>
    </list>

  <!-- functions and constants -->

    <list name="math-functions">
      <item> abs </item>
      <item> acos </item>
      <item> asin </item>
      <item> atan </item>
      <item> atan2 </item>
      <item> atanh </item>
      <item> ceil </item>
      <item> cloglog </item>
      <item> comb </item>
      <item> cos </item>
      <item> digamma </item>
      <item> exp </item>
      <item> floor </item>
      <item> invcloglog </item>
      <item> invlogit </item>
      <item> ln </item>
      <item> lnfact </item>
      <item> lnfactorial </item>
      <item> lngamma </item>
      <item> log </item>
      <item> log10 </item>
      <item> max </item>
      <item> min </item>
      <item> mod </item>
      <item> reldif </item>
      <item> round </item>
      <item> sign </item>
      <item> sin </item>
      <item> sqrt </item>
      <item> sum </item>
      <item> tan </item>
      <item> tanh </item>
      <item> trigamma </item>
      <item> trunc </item>
    </list>

    <list name="probability-functions">
      <item> betaden </item>
      <item> Binomial </item>
      <item> binorm </item>
      <item> binormal </item>
      <item> chi2 </item>
      <item> chi2tail </item>
      <item> dgammapda </item>
      <item> dgammapdada </item>
      <item> dgammapdadx </item>
      <item> dgammapdx </item>
      <item> dgammapdxdx </item>
      <item> F </item>
      <item> Fden </item>
      <item> Ftail </item>
      <item> gammaden </item>
      <item> gammap </item>
      <item> ibeta </item>
      <item> invbinomial </item>
      <item> invchi2 </item>
      <item> invchi2tail </item>
      <item> invF </item>
      <item> invFtail </item>
      <item> invgammap </item>
      <item> invibeta </item>
      <item> invnchi2 </item>
      <item> invnFtail </item>
      <item> invnibeta </item>
      <item> invnorm </item>
      <item> invnormal </item>
      <item> invttail </item>
      <item> nbetaden </item>
      <item> nchi2 </item>
      <item> nFden </item>
      <item> nFtail </item>
      <item> nibeta </item>
      <item> norm </item>
      <item> normal </item>
      <item> normalden </item>
      <item> normd </item>
      <item> npnchi2 </item>
      <item> tden </item>
      <item> ttail </item>
      <item> uniform() </item>
    </list>

    <list name="string-functions">
      <item> abbrev </item>
      <item> char </item>
      <item> index </item>
      <item> indexnot </item>
      <item> length </item>
      <item> lower </item>
      <item> ltrim </item>
      <item> match </item>
      <item> plural </item>
      <item> proper </item>
      <item> real </item>
      <item> regexm </item>
      <item> regexr </item>
      <item> regexs </item>
      <item> reverse </item>
      <item> rtrim </item>
      <item> string </item>
      <item> strlen </item>
      <item> strlower </item>
      <item> strltrim </item>
      <item> strmatch </item>
      <item> strofreal </item>
      <item> strpos </item>
      <item> strproper </item>
      <item> strreverse </item>
      <item> strrtrim </item>
      <item> strtrim </item>
      <item> strupper </item>
      <item> subinstr </item>
      <item> subinword </item>
      <item> substr </item>
      <item> trim </item>
      <item> upper </item>
      <item> word </item>
      <item> wordcount </item>
    </list>

    <list name="programming-functions">
      <item> _caller </item>
      <item> autocode </item>
      <item> byteorder </item>
      <item> chop </item>
      <item> clip </item>
      <item> cond </item>
      <item> e </item>
      <item> epsdouble </item>
      <item> epsfloat </item>
      <item> group </item>
      <item> inlist </item>
      <item> inrange </item>
      <item> irecode </item>
      <item> matrix </item>
      <item> maxbyte </item>
      <item> maxdouble </item>
      <item> maxfloat </item>
      <item> maxint </item>
      <item> maxlong </item>
      <item> mi </item>
      <item> minbyte </item>
      <item> mindouble </item>
      <item> minfloat </item>
      <item> minint </item>
      <item> minlong </item>
      <item> missing </item>
      <item> r </item>
      <item> recode </item>
      <item> replay </item>
      <item> return </item>
      <item> s </item>
      <item> scalar </item>
    </list>

    <list name="date-functions">
      <item> d </item>
      <item> date </item>
      <item> day </item>
      <item> dow </item>
      <item> doy </item>
      <item> halfyear </item>
      <item> mdy </item>
      <item> month </item>
      <item> quarter </item>
      <item> week </item>
      <item> year </item>
    </list>

    <list name="timeseries-functions">
      <item> d </item>
      <item> daily </item>
      <item> dofd </item>
      <item> dofh </item>
      <item> dofm </item>
      <item> dofq </item>
      <item> dofw </item>
      <item> dofy </item>
      <item> h </item>
      <item> halfyearly </item>
      <item> hofd </item>
      <item> m </item>
      <item> mofd </item>
      <item> monthly </item>
      <item> q </item>
      <item> qofd </item>
      <item> quarterly </item>
      <item> tin </item>
      <item> twithin </item>
      <item> w </item>
      <item> weekly </item>
      <item> wofd </item>
      <item> y </item>
      <item> yearly </item>
      <item> yh </item>
      <item> ym </item>
      <item> yofd </item>
      <item> yq </item>
      <item> yw </item>
    </list>

    <list name="matrix-functions">
      <item> cholesky </item>
      <item> colnumb </item>
      <item> colsof </item>
      <item> corr </item>
      <item> det </item>
      <item> diag </item>
      <item> diag0cnt </item>
      <item> el </item>
      <item> get </item>
      <item> hadamard </item>
      <item> I </item>
      <item> inv </item>
      <item> invsym </item>
      <item> issym </item>
      <item> issymmetric </item>
      <item> J </item>
      <item> matmissing </item>
      <item> matuniform </item>
      <item> mreldif </item>
      <item> nullmat </item>
      <item> rownumb </item>
      <item> rowsof </item>
      <item> sweep </item>
      <item> syminv </item>
      <item> trace </item>
      <item> vec </item>
      <item> vecdiag </item>
    </list>

    <list name="egen-functions">
      <item> anycount </item>
      <item> anymatch </item>
      <item> anyvalue </item>
      <item> at </item>
      <item> concat </item>
      <item> count </item>
      <item> cut </item>
      <item> diff </item>
      <item> ends </item>
      <item> field </item>
      <item> fill </item>
      <item> group </item>
      <item> groupicodes </item>
      <item> head </item>
      <item> iqr </item>
      <item> kurt </item>
      <item> label </item>
      <item> last </item>
      <item> lname </item>
      <item> mad </item>
      <item> max </item>
      <item> maxlength </item>
      <item> maxmode </item>
      <item> mdev </item>
      <item> mean </item>
      <item> median </item>
      <item> min </item>
      <item> minmode </item>
      <item> missing </item>
      <item> mode </item>
      <item> mtr </item>
      <item> nummodemissing </item>
      <item> pc prop </item>
      <item> pctile </item>
      <item> punct </item>
      <item> rank </item>
      <item> rowfirst </item>
      <item> rowlast </item>
      <item> rowmax </item>
      <item> rowmean </item>
      <item> rowmin </item>
      <item> rowmiss </item>
      <item> rownonmiss </item>
      <item> rowsd </item>
      <item> rowtotal </item>
      <item> sd </item>
      <item> seq </item>
      <item> skew </item>
      <item> std </item>
      <item> strok </item>
      <item> tag </item>
      <item> tail </item>
      <item> total </item>
      <item> track </item>
      <item> trim </item>
      <item> truncate </item>
    </list>

    <list name="constants">
      <item> _all </item>
      <item> _column </item>
      <item> _cons </item>
      <item> _dta </item>
      <item> _dup </item>
      <item> _merge </item>
      <item> _n </item>
      <item> _newline </item>
      <item> _pi </item>
      <item> _rc </item>
      <item> creturn </item>
      <item> c(adopath) </item>
      <item> c(adosize) </item>
      <item> c(ALPHA) </item>
      <item> c(born_date) </item>
      <item> c(byteorder) </item>
      <item> c(changed) </item>
      <item> c(checksum) </item>
      <item> c(cmdlen) </item>
      <item> c(console) </item>
      <item> c(copycolor) </item>
      <item> c(current_date) </item>
      <item> c(current_time) </item>
      <item> c(dirsep) </item>
      <item> c(dockable) </item>
      <item> c(dockingguides) </item>
      <item> c(dp) </item>
      <item> c(epsdouble) </item>
      <item> c(epsfloat) </item>
      <item> c(filedate) </item>
      <item> c(filename) </item>
      <item> c(flavor) </item>
      <item> c(graphics) </item>
      <item> c(httpproxy) </item>
      <item> c(httpproxyauth) </item>
      <item> c(httpproxyhost) </item>
      <item> c(httpproxyport) </item>
      <item> c(httpproxypw) </item>
      <item> c(httpproxyuser) </item>
      <item> c(k) </item>
      <item> c(level) </item>
      <item> c(linegap) </item>
      <item> c(linesize) </item>
      <item> c(locksplitters) </item>
      <item> c(logtype) </item>
      <item> c(machine_type) </item>
      <item> c(macrolen) </item>
      <item> c(matacache) </item>
      <item> c(matafavor) </item>
      <item> c(matalibs) </item>
      <item> c(matalnum) </item>
      <item> c(matamofirst) </item>
      <item> c(mataoptimize) </item>
      <item> c(matastrict) </item>
      <item> c(matsize) </item>
      <item> c(max_cmdlen) </item>
      <item> c(max_k_current) </item>
      <item> c(max_k_theory) </item>
      <item> c(max_macrolen) </item>
      <item> c(max_matsize) </item>
      <item> c(max_N_current) </item>
      <item> c(max_N_theory) </item>
      <item> c(max_width_current) </item>
      <item> c(max_width_theory) </item>
      <item> c(maxbyte) </item>
      <item> c(maxdb) </item>
      <item> c(maxdouble) </item>
      <item> c(maxfloat) </item>
      <item> c(maxint) </item>
      <item> c(maxiter) </item>
      <item> c(maxlong) </item>
      <item> c(maxstrvarlen) </item>
      <item> c(maxvar) </item>
      <item> c(memory) </item>
      <item> c(min_matsize) </item>
      <item> c(minbyte) </item>
      <item> c(mindouble) </item>
      <item> c(minfloat) </item>
      <item> c(minint) </item>
      <item> c(minlong) </item>
      <item> c(mode) </item>
      <item> c(Mons) </item>
      <item> c(Months) </item>
      <item> c(more) </item>
      <item> c(N) </item>
      <item> c(namelen) </item>
      <item> c(os) </item>
      <item> c(osdtl) </item>
      <item> c(pagesize) </item>
      <item> c(persistfv) </item>
      <item> c(persistvtopic) </item>
      <item> c(pi) </item>
      <item> c(printcolor) </item>
      <item> c(pwd) </item>
      <item> c(rc) </item>
      <item> c(reventries) </item>
      <item> c(rmsg_time) </item>
      <item> c(rmsg) </item>
      <item> c(scheme) </item>
      <item> c(scrollbufsize) </item>
      <item> c(SE) </item>
      <item> c(searchdefault) </item>
      <item> c(seed) </item>
      <item> c(stata_version) </item>
      <item> c(sysdir_base) </item>
      <item> c(sysdir_oldplace) </item>
      <item> c(sysdir_personal) </item>
      <item> c(sysdir_plus) </item>
      <item> c(sysdir_site) </item>
      <item> c(sysdir_stata) </item>
      <item> c(sysdir_updates) </item>
      <item> c(timeout1) </item>
      <item> c(timeout2) </item>
      <item> c(trace) </item>
      <item> c(tracedepth) </item>
      <item> c(traceexpand) </item>
      <item> c(tracehilite) </item>
      <item> c(traceindent) </item>
      <item> c(tracenumber) </item>
      <item> c(tracesep) </item>
      <item> c(type) </item>
      <item> c(update_interval) </item>
      <item> c(update_prompt) </item>
      <item> c(update_query) </item>
      <item> c(varabbrev) </item>
      <item> c(varlabelpos) </item>
      <item> c(version) </item>
      <item> c(virtual) </item>
      <item> c(Wdays) </item>
      <item> c(Weekdays) </item>
      <item> c(width) </item>
      <item> c(xptheme) </item>
    </list>

    <list name="System-parameters">
      <item> adosize </item>
      <item> checksum </item>
      <item> copycolor </item>
      <item> dockable </item>
      <item> dockingguides </item>
      <item> dp </item>
      <item> graphics </item>
      <item> httpproxy </item>
      <item> httpproxyauth </item>
      <item> httpproxyhost </item>
      <item> httpproxyport </item>
      <item> httpproxypw </item>
      <item> httpproxyuser </item>
      <item> level </item>
      <item> linegap </item>
      <item> linesize </item>
      <item> locksplitters </item>
      <item> logtype </item>
      <item> matacache </item>
      <item> matafavor </item>
      <item> matalibs </item>
      <item> matalnum </item>
      <item> matamofirst </item>
      <item> mataoptimize </item>
      <item> matastrict </item>
      <item> matsize </item>
      <item> maxdb </item>
      <item> maxiter </item>
      <item> maxvar </item>
      <item> memory </item>
      <item> more </item>
      <item> pagesize </item>
      <item> persistfv </item>
      <item> persistvtopic </item>
      <item> printcolor </item>
      <item> reventries </item>
      <item> rmsg </item>
      <item> scheme </item>
      <item> scrollbufsize </item>
      <item> searchdefault </item>
      <item> seed </item>
      <item> timeout1 </item>
      <item> timeout2 </item>
      <item> trace </item>
      <item> tracedepth </item>
      <item> traceexpand </item>
      <item> tracehilite </item>
      <item> traceindent </item>
      <item> tracenumber </item>
      <item> tracesep </item>
      <item> type </item>
      <item> update_interval </item>
      <item> update_prompt </item>
      <item> update_query </item>
      <item> varabbrev </item>
      <item> varlabelpos </item>
      <item> version </item>
      <item> virtual </item>
      <item> xptheme </item>
    </list>

  <!-- stata ado files   version 9.0    Date: 05/05/2005 -->
    <list name="procedures">
      <item> _a_cls_msg </item>
      <item> _addgph </item>
      <item> _assert </item>
      <item> _assert_mreldif </item>
      <item> _assert_mreldifp </item>
      <item> _assert_mreldifs </item>
      <item> _assert_obs </item>
      <item> _assert_streq </item>
      <item> _at </item>
      <item> _bigtab </item>
      <item> _binperfect </item>
      <item> _binperfout </item>
      <item> _biplotmat </item>
      <item> _brr_sum </item>
      <item> _bs_display </item>
      <item> _bs_sum </item>
      <item> _btcmd </item>
      <item> _byoptnotallowed </item>
      <item> _ca_parse_normalize </item>
      <item> _callerr </item>
      <item> _cci </item>
      <item> _check_eformopt </item>
      <item> _check4gropts </item>
      <item> _choice_table </item>
      <item> _ckirfset </item>
      <item> _cknotsvaroi </item>
      <item> _ckvec </item>
      <item> _clsarr2list </item>
      <item> _cmdxel </item>
      <item> _coef_table </item>
      <item> _coef_table_header </item>
      <item> _confirm_date </item>
      <item> _confirm_number_or_date </item>
      <item> _copy_mat_stripes </item>
      <item> _cpmatnm </item>
      <item> _crc2use </item>
      <item> _crc4fld </item>
      <item> _crcacnt </item>
      <item> _crcar1 </item>
      <item> _crcause </item>
      <item> _crcbin </item>
      <item> _crcbygr </item>
      <item> _crcchi2 </item>
      <item> _crcchkw </item>
      <item> _crccip </item>
      <item> _crceprs </item>
      <item> _crcgldv </item>
      <item> _crcglil </item>
      <item> _crcird </item>
      <item> _crcirr </item>
      <item> _crcmeq </item>
      <item> _crcnuse </item>
      <item> _crcor </item>
      <item> _crcphdr </item>
      <item> _crcra </item>
      <item> _crcrd </item>
      <item> _crcrr </item>
      <item> _crcseq </item>
      <item> _crcshdr </item>
      <item> _crcslbl </item>
      <item> _crcsrvc </item>
      <item> _crcswxx </item>
      <item> _crcunab </item>
      <item> _crcunit </item>
      <item> _crcvarl </item>
      <item> _crcwsrv </item>
      <item> _crczsku </item>
      <item> _cvar </item>
      <item> _date2elapsed </item>
      <item> _diag2mat </item>
      <item> _diparm </item>
      <item> _diparm_8 </item>
      <item> _dots </item>
      <item> _e2r </item>
      <item> _egennoby </item>
      <item> _evlist </item>
      <item> _exp_list_expand </item>
      <item> _exp_list_parse </item>
      <item> _find_tsops </item>
      <item> _fr_area_parse_and_log </item>
      <item> _fr_aspect_parse_and_log </item>
      <item> _fr_draw_rect </item>
      <item> _fr_droplines_draw </item>
      <item> _fr_erasearr </item>
      <item> _fr_legend_parse_and_log </item>
      <item> _fr_merged_implicit </item>
      <item> _fr_runlog </item>
      <item> _fr_sztextbox_parse_and_log </item>
      <item> _fr_tbstyle_parse_and_log </item>
      <item> _fr_tedits_parse_and_log </item>
      <item> _fr_textbox_parse_and_log </item>
      <item> _fr_title_parse_and_log </item>
      <item> _fr_x_log_cleanup </item>
      <item> _fr_x_log_create </item>
      <item> _fracpp </item>
      <item> _fracxo </item>
      <item> _frr_sztextbox_pnl </item>
      <item> _gany </item>
      <item> _ganycount </item>
      <item> _ganymatch </item>
      <item> _ganyvalue </item>
      <item> _gconcat </item>
      <item> _gcount </item>
      <item> _gcut </item>
      <item> _gdiff </item>
      <item> _gends </item>
      <item> _geqany </item>
      <item> _get_diparmopts </item>
      <item> _get_diparmopts_8 </item>
      <item> _get_eformopts </item>
      <item> _get_eqspec </item>
      <item> _get_gropts </item>
      <item> _get_irf </item>
      <item> _get_offopt </item>
      <item> _getbv </item>
      <item> _getcovcorr </item>
      <item> _getfilename </item>
      <item> _getnewlabelname </item>
      <item> _getrhs </item>
      <item> _getvarcns </item>
      <item> _getxel </item>
      <item> _getxel2 </item>
      <item> _gfill </item>
      <item> _ggroup </item>
      <item> _giqr </item>
      <item> _gkurt </item>
      <item> _gm_edit </item>
      <item> _gm_log </item>
      <item> _gma </item>
      <item> _gmad </item>
      <item> _gmax </item>
      <item> _gmdev </item>
      <item> _gmean </item>
      <item> _gmedian </item>
      <item> _gmin </item>
      <item> _gmode </item>
      <item> _gmtr </item>
      <item> _gneqany </item>
      <item> _gpc </item>
      <item> _gpctile </item>
      <item> _gr_arrowhead </item>
      <item> _gr_atomize_styles </item>
      <item> _gr_common_axes </item>
      <item> _gr_drawrect </item>
      <item> _gr_linkstyles </item>
      <item> _gr_symbol_of </item>
      <item> _grank </item>
      <item> _grfirst </item>
      <item> _grlast </item>
      <item> _grmax </item>
      <item> _grmean </item>
      <item> _grmin </item>
      <item> _grmiss </item>
      <item> _grobs </item>
      <item> _growfirst </item>
      <item> _growlast </item>
      <item> _growmax </item>
      <item> _growmean </item>
      <item> _growmin </item>
      <item> _growmiss </item>
      <item> _grownonmiss </item>
      <item> _growsd </item>
      <item> _growtotal </item>
      <item> _grsd </item>
      <item> _grsum </item>
      <item> _gs_addgrname </item>
      <item> _gs_bygraph </item>
      <item> _gs_clean_graphlist </item>
      <item> _gs_default_bands </item>
      <item> _gs_islivefile </item>
      <item> _gs_parse_and_log_axoptions </item>
      <item> _gs_parse_and_log_axtitle </item>
      <item> _gs_parse_and_log_lines </item>
      <item> _gs_parse_and_log_tickset </item>
      <item> _gs_rdfilehdr </item>
      <item> _gs_wrfilehdr </item>
      <item> _gs_x_create </item>
      <item> _gsd </item>
      <item> _gseq </item>
      <item> _gskew </item>
      <item> _gstd </item>
      <item> _gsum </item>
      <item> _gtag </item>
      <item> _gtotal </item>
      <item> _hadamard_verify </item>
      <item> _hw_comp </item>
      <item> _hw_opt_d0 </item>
      <item> _hwsa_comp </item>
      <item> _hwsa_opt_d0 </item>
      <item> _hwsm_comp </item>
      <item> _hwsm_opt_d0 </item>
      <item> _isfit </item>
      <item> _ivreg_project </item>
      <item> _jk_nlegend </item>
      <item> _jk_pseudo </item>
      <item> _jk_sum </item>
      <item> _labels2names </item>
      <item> _linemax </item>
      <item> _loop_brr </item>
      <item> _loop_jknife </item>
      <item> _loop_jknife_fw </item>
      <item> _loop_jknife_iw </item>
      <item> _loop_jknife2 </item>
      <item> _loop_rw </item>
      <item> _lrtest7 </item>
      <item> _m2matrix </item>
      <item> _m2scalar </item>
      <item> _matplot </item>
      <item> _matsort </item>
      <item> _mdisplay </item>
      <item> _mds_classical </item>
      <item> _mds_dataheader </item>
      <item> _mds_display </item>
      <item> _mds_display_classical </item>
      <item> _mds_euclidean </item>
      <item> _mds_parse_dopts </item>
      <item> _mds_parse_method </item>
      <item> _mds_parse_s2d </item>
      <item> _mds_s2d </item>
      <item> _me_der </item>
      <item> _me_der2 </item>
      <item> _me_derb </item>
      <item> _me_derd </item>
      <item> _me_l_der </item>
      <item> _me_l_der2 </item>
      <item> _mfrmvec </item>
      <item> _mka2 </item>
      <item> _mkg </item>
      <item> _mkkmn </item>
      <item> _mksigma </item>
      <item> _mkvec </item>
      <item> _mprobitestimator </item>
      <item> _mtest </item>
      <item> _mvec </item>
      <item> _no_estat </item>
      <item> _no_predict </item>
      <item> _nobs </item>
      <item> _on_colon_parse </item>
      <item> _parmlist </item>
      <item> _parse_optexp </item>
      <item> _parsewt </item>
      <item> _pk_p </item>
      <item> _plotpos </item>
      <item> _pred_me </item>
      <item> _pred_se </item>
      <item> _prefix_check4esample </item>
      <item> _prefix_checkopt </item>
      <item> _prefix_clear </item>
      <item> _prefix_command </item>
      <item> _prefix_display </item>
      <item> _prefix_expand </item>
      <item> _prefix_explist </item>
      <item> _prefix_footnote </item>
      <item> _prefix_getchars </item>
      <item> _prefix_getmat </item>
      <item> _prefix_legend </item>
      <item> _prefix_mlogit </item>
      <item> _prefix_model_test </item>
      <item> _prefix_note </item>
      <item> _prefix_reject </item>
      <item> _prefix_relabel_eqns </item>
      <item> _prefix_run_error </item>
      <item> _prefix_saving </item>
      <item> _prefix_title </item>
      <item> _prefix_vcenotallowed </item>
      <item> _qsort_index </item>
      <item> _qsur </item>
      <item> _r2e </item>
      <item> _repost </item>
      <item> _resample_warn </item>
      <item> _restore_labels </item>
      <item> _returnclear </item>
      <item> _rmdcoll </item>
      <item> _robust2 </item>
      <item> _roccom1 </item>
      <item> _roccom1_8 </item>
      <item> _rocsen </item>
      <item> _rotate_clear </item>
      <item> _rotate_text </item>
      <item> _score_spec </item>
      <item> _set_irf_vars </item>
      <item> _shortenpath </item>
      <item> _sigfm </item>
      <item> _small2dotz </item>
      <item> _stata_internalerror </item>
      <item> _stcurv </item>
      <item> _strip_labels </item>
      <item> _sttrend </item>
      <item> _stubstar2names </item>
      <item> _sum_table </item>
      <item> _sumaccum </item>
      <item> _sunflower_binar </item>
      <item> _svar_cnsmac </item>
      <item> _svar_eqmac </item>
      <item> _svar_newcns </item>
      <item> _svar_post </item>
      <item> _svard2 </item>
      <item> _svariden </item>
      <item> _svaridenlr </item>
      <item> _svarlrd2 </item>
      <item> _svd </item>
      <item> _svy_check_cmdopts </item>
      <item> _svy_check_fpc </item>
      <item> _svy_check_postw </item>
      <item> _svy_check_predict </item>
      <item> _svy_check_vce </item>
      <item> _svy_fpc_note </item>
      <item> _svy_ftest </item>
      <item> _svy_ivreg_first </item>
      <item> _svy_mkdeff </item>
      <item> _svy_mkmeff </item>
      <item> _svy_mkvmsp </item>
      <item> _svy_mkvsrs </item>
      <item> _svy_newrule </item>
      <item> _svy_setup </item>
      <item> _svy_singleton_note </item>
      <item> _svy_subpop </item>
      <item> _svy_subpop_note </item>
      <item> _svy_summarize </item>
      <item> _svy_summarize_legend </item>
      <item> _svy_tabulate </item>
      <item> _svy2 </item>
      <item> _svydes_dlg </item>
      <item> _svylc </item>
      <item> _svyset </item>
      <item> _sw_ood </item>
      <item> _ts </item>
      <item> _ts_dexp </item>
      <item> _ts_exp </item>
      <item> _ts_hw </item>
      <item> _ts_hwsa </item>
      <item> _ts_hwsm </item>
      <item> _tsheadr </item>
      <item> _tsinchk </item>
      <item> _tsma </item>
      <item> _ttest </item>
      <item> _ttest1 </item>
      <item> _ttest2 </item>
      <item> _tutends </item>
      <item> _var_mka </item>
      <item> _varbsf </item>
      <item> _vardisprmse </item>
      <item> _varfcast </item>
      <item> _varfcast_clear </item>
      <item> _varfcast_fcast </item>
      <item> _varfcast_graph </item>
      <item> _varirf </item>
      <item> _varsim </item>
      <item> _vce_parserun </item>
      <item> _vec_ckgraph </item>
      <item> _vec_dreduced </item>
      <item> _vec_grcroots </item>
      <item> _vec_opck </item>
      <item> _vec_pgparse </item>
      <item> _vec_pgridplots </item>
      <item> _vec_postvar </item>
      <item> _vecauxdisp </item>
      <item> _vecfcast_compute </item>
      <item> _vecfcast_compute_w </item>
      <item> _vecgetacns </item>
      <item> _vecgetcv </item>
      <item> _vecgtn </item>
      <item> _vecmka </item>
      <item> _vecmkapvp </item>
      <item> _vecmkce </item>
      <item> _vecmkgam </item>
      <item> _vecmksi </item>
      <item> _vecmktrend </item>
      <item> _vecortho </item>
      <item> _vecpclean </item>
      <item> _vectparse </item>
      <item> _vecu </item>
      <item> _virf_add </item>
      <item> _virf_char </item>
      <item> _virf_fck </item>
      <item> _virf_mknewfile </item>
      <item> _virf_nlen </item>
      <item> _virf_use </item>
      <item> _writenum </item>
      <item> _xtreg_chk_cl </item>

      <item> ac </item>
      <item> ac_7 </item>
      <item> acprplot </item>
      <item> acprplot_7 </item>
      <item> adjust </item>
      <item> adopath </item>
      <item> alpha </item>
      <item> ameans </item>
      <item> anova_estat </item>
      <item> anova_terms </item>
      <item> aorder </item>
      <item> arch </item>
      <item> arch_dr </item>
      <item> arch_estat </item>
      <item> arch_p </item>
      <item> archlm </item>
      <item> areg </item>
      <item> areg_p </item>
      <item> arima </item>
      <item> arima_dr </item>
      <item> arima_estat </item>
      <item> arima_p </item>
      <item> asmprobit </item>
      <item> asmprobit_estat </item>
      <item> asmprobit_lf </item>
      <item> asmprobit_p </item>
      <item> avplot </item>
      <item> avplot_7 </item>
      <item> avplots </item>
      <item> avplots_7 </item>
      <item> bcskew0 </item>
      <item> bgodfrey </item>
      <item> binreg </item>
      <item> bip0_lf </item>
      <item> biplot </item>
      <item> bipp_lf </item>
      <item> bipr_lf </item>
      <item> bipr_p </item>
      <item> biprobit </item>
      <item> bitest </item>
      <item> bitesti </item>
      <item> bitowt </item>
      <item> blogit </item>
      <item> bmemsize </item>
      <item> boot </item>
      <item> bootsamp </item>
      <item> bootstrap </item>
      <item> bootstrap_8 </item>
      <item> boxco_l </item>
      <item> boxco_p </item>
      <item> boxcox </item>
      <item> boxcox_6 </item>
      <item> boxcox_p </item>
      <item> bprobit </item>
      <item> brier </item>
      <item> brr </item>
      <item> brrstat </item>
      <item> bs </item>
      <item> bs_7 </item>
      <item> bsampl_w </item>
      <item> bsample </item>
      <item> bsample_7 </item>
      <item> bsqreg </item>
      <item> bstat </item>
      <item> bstat_7 </item>
      <item> bstat_8 </item>
      <item> bstrap </item>
      <item> bstrap_7 </item>
      <item> ca </item>
      <item> ca_estat </item>
      <item> ca_p </item>
      <item> cabiplot </item>
      <item> camat </item>
      <item> canon </item>
      <item> canon_8 </item>
      <item> canon_8_p </item>
      <item> canon_estat </item>
      <item> canon_p </item>
      <item> caprojection </item>
      <item> cc </item>
      <item> cchart </item>
      <item> cchart_7 </item>
      <item> cci </item>
      <item> censobs_table </item>
      <item> centile </item>
      <item> cf </item>
      <item> checkdlgfiles </item>
      <item> checkhlpfiles </item>
      <item> ci </item>
      <item> cii </item>
      <item> classutil </item>
      <item> clear </item>
      <item> clo </item>
      <item> clog </item>
      <item> clog_lf </item>
      <item> clog_p </item>
      <item> clogi </item>
      <item> clogi_sw </item>
      <item> clogit </item>
      <item> clogit_lf </item>
      <item> clogit_p </item>
      <item> clogitp </item>
      <item> clogl_sw </item>
      <item> cloglog </item>
      <item> clonevar </item>
      <item> clslistarray </item>
      <item> cluster </item>
      <item> cluster_measures </item>
      <item> cluster_stop </item>
      <item> cluster_tree </item>
      <item> cluster_tree_8 </item>
      <item> clustermat </item>
      <item> cnr </item>
      <item> cnre </item>
      <item> cnreg </item>
      <item> cnreg_p </item>
      <item> cnreg_sw </item>
      <item> cnsreg </item>
      <item> codebook </item>
      <item> collaps4 </item>
      <item> collapse </item>
      <item> colormult_nb </item>
      <item> colormult_nw </item>
      <item> compare </item>
      <item> conren </item>
      <item> contract </item>
      <item> copyright </item>
      <item> copysource </item>
      <item> corc </item>
      <item> corr_anti </item>
      <item> corr_kmo </item>
      <item> corr_smc </item>
      <item> corr2data </item>
      <item> corrgram </item>
      <item> cox_p </item>
      <item> cox_sw </item>
      <item> coxbase </item>
      <item> coxhaz </item>
      <item> coxvar </item>
      <item> cprplot </item>
      <item> cprplot_7 </item>
      <item> crc </item>
      <item> cross </item>
      <item> cs </item>
      <item> cscript </item>
      <item> cscript_log </item>
      <item> csi </item>
      <item> ct </item>
      <item> ct_is </item>
      <item> ctset </item>
      <item> ctst_5 </item>
      <item> ctst_st </item>
      <item> cttost </item>
      <item> cumsp </item>
      <item> cumsp_7 </item>
      <item> cumul </item>
      <item> cusum </item>
      <item> cusum_7 </item>
      <item> cutil </item>

      <item> d </item>
      <item> datetof </item>
      <item> db </item>
      <item> dbeta </item>
      <item> de </item>
      <item> deff </item>
      <item> des </item>
      <item> desc </item>
      <item> descr </item>
      <item> descri </item>
      <item> describ </item>
      <item> describe </item>
      <item> destring </item>
      <item> dfbeta </item>
      <item> dfgls </item>
      <item> dfuller </item>
      <item> dirstats </item>
      <item> disp_res </item>
      <item> disp_s </item>
      <item> dotplot </item>
      <item> dotplot_7 </item>
      <item> dprobit </item>
      <item> drawnorm </item>
      <item> ds </item>
      <item> ds_util </item>
      <item> dstdize </item>
      <item> duplicates </item>
      <item> durbina </item>
      <item> dwstat </item>
      <item> dydx </item>
      <item> egen </item>
      <item> eivreg </item>
      <item> emdef </item>
      <item> eq </item>
      <item> ereg </item>
      <item> ereg_lf </item>
      <item> ereg_p </item>
      <item> ereg_sw </item>
      <item> ereghet </item>
      <item> ereghet_glf </item>
      <item> ereghet_glf_sh </item>
      <item> ereghet_gp </item>
      <item> ereghet_ilf </item>
      <item> ereghet_ilf_sh </item>
      <item> ereghet_ip </item>
      <item> est </item>
      <item> est_cfexist </item>
      <item> est_cfname </item>
      <item> est_clickable </item>
      <item> est_expand </item>
      <item> est_hold </item>
      <item> est_table </item>
      <item> est_unhold </item>
      <item> est_unholdok </item>
      <item> estat </item>
      <item> estat_default </item>
      <item> estat_summ </item>
      <item> estat_vce_only </item>
      <item> esti </item>
      <item> estimates </item>
      <item> etodow </item>
      <item> etof </item>
      <item> etomdy </item>
      <item> expandcl </item>
      <item> fac </item>
      <item> fact </item>
      <item> facto </item>
      <item> factor </item>
      <item> factor_estat </item>
      <item> factor_p </item>
      <item> factor_pca_rotated </item>
      <item> factor_rotate </item>
      <item> factormat </item>
      <item> fcast </item>
      <item> fcast_compute </item>
      <item> fcast_graph </item>
      <item> fh_st </item>
      <item> fillin </item>
      <item> find_hlp_file </item>
      <item> findfile </item>
      <item> findit </item>
      <item> findit_7 </item>
      <item> fit </item>
      <item> for </item>
      <item> for5_0 </item>
      <item> fpredict </item>
      <item> frac_154 </item>
      <item> frac_adj </item>
      <item> frac_chk </item>
      <item> frac_cox </item>
      <item> frac_ddp </item>
      <item> frac_dis </item>
      <item> frac_dv </item>
      <item> frac_in </item>
      <item> frac_mun </item>
      <item> frac_pp </item>
      <item> frac_pq </item>
      <item> frac_pv </item>
      <item> frac_wgt </item>
      <item> frac_xo </item>
      <item> fracgen </item>
      <item> fracplot </item>
      <item> fracplot_7 </item>
      <item> fracpoly </item>
      <item> fracpred </item>
      <item> fron_ex </item>
      <item> fron_hn </item>
      <item> fron_p </item>
      <item> fron_tn </item>
      <item> fron_tn2 </item>
      <item> frontier </item>
      <item> ftodate </item>
      <item> ftoe </item>
      <item> ftomdy </item>
      <item> ftowdate </item>

      <item> gamhet_glf </item>
      <item> gamhet_gp </item>
      <item> gamhet_ilf </item>
      <item> gamhet_ip </item>
      <item> gamma </item>
      <item> gamma_d2 </item>
      <item> gamma_p </item>
      <item> gamma_sw </item>
      <item> gammahet </item>
      <item> gdi_hexagon </item>
      <item> gdi_spokes </item>
      <item> genrank </item>
      <item> genstd </item>
      <item> genvmean </item>
      <item> gladder </item>
      <item> gladder_7 </item>
      <item> glim_l01 </item>
      <item> glim_l02 </item>
      <item> glim_l03 </item>
      <item> glim_l04 </item>
      <item> glim_l05 </item>
      <item> glim_l06 </item>
      <item> glim_l07 </item>
      <item> glim_l08 </item>
      <item> glim_l09 </item>
      <item> glim_l10 </item>
      <item> glim_l11 </item>
      <item> glim_l12 </item>
      <item> glim_lf </item>
      <item> glim_mu </item>
      <item> glim_nw1 </item>
      <item> glim_nw2 </item>
      <item> glim_nw3 </item>
      <item> glim_p </item>
      <item> glim_v1 </item>
      <item> glim_v2 </item>
      <item> glim_v3 </item>
      <item> glim_v4 </item>
      <item> glim_v5 </item>
      <item> glim_v6 </item>
      <item> glim_v7 </item>
      <item> glm </item>
      <item> glm_6 </item>
      <item> glm_p </item>
      <item> glm_sw </item>
      <item> glmpred </item>
      <item> glogit </item>
      <item> glogit_8 </item>
      <item> glogit_p </item>
      <item> gmeans </item>
      <item> gnbre_lf </item>
      <item> gnbreg </item>
      <item> gnbreg_5 </item>
      <item> gnbreg_p </item>
      <item> gomp_lf </item>
      <item> gompe_sw </item>
      <item> gomper_p </item>
      <item> gompertz </item>
      <item> gompertzhet </item>
      <item> gomphet_glf </item>
      <item> gomphet_glf_sh </item>
      <item> gomphet_gp </item>
      <item> gomphet_ilf </item>
      <item> gomphet_ilf_sh </item>
      <item> gomphet_ip </item>
      <item> gphdot </item>
      <item> gphpen </item>
      <item> gphprint </item>
      <item> gprobi_p </item>
      <item> gprobit </item>
      <item> gprobit_8 </item>
      <item> gr </item>
      <item> gr_copy </item>
      <item> gr_current </item>
      <item> gr_db </item>
      <item> gr_describe </item>
      <item> gr_dir </item>
      <item> gr_draw </item>
      <item> gr_draw_replay </item>
      <item> gr_drop </item>
      <item> gr_edit </item>
      <item> gr_editviewopts </item>
      <item> gr_example </item>
      <item> gr_example2 </item>
      <item> gr_export </item>
      <item> gr_print </item>
      <item> gr_qscheme </item>
      <item> gr_query </item>
      <item> gr_read </item>
      <item> gr_rename </item>
      <item> gr_replay </item>
      <item> gr_save </item>
      <item> gr_set </item>
      <item> gr_setscheme </item>
      <item> gr_table </item>
      <item> gr_undo </item>
      <item> gr_use </item>
      <item> graph </item>
      <item> grebar </item>
      <item> greigen </item>
      <item> greigen_7 </item>
      <item> greigen_8 </item>
      <item> grmeanby </item>
      <item> grmeanby_7 </item>
      <item> gs_fileinfo </item>
      <item> gs_filetype </item>
      <item> gs_graphinfo </item>
      <item> gs_stat </item>
      <item> gsort </item>
      <item> gwood </item>
      <item> h </item>
      <item> hadimvo </item>
      <item> hareg </item>
      <item> hausman </item>
      <item> he </item>
      <item> heck_d2 </item>
      <item> heckma_p </item>
      <item> heckman </item>
      <item> heckp_lf </item>
      <item> heckpr_p </item>
      <item> heckprob </item>
      <item> hel </item>
      <item> help </item>
      <item> hereg </item>
      <item> hetpr_lf </item>
      <item> hetpr_p </item>
      <item> hetprob </item>
      <item> hettest </item>
      <item> hilite </item>
      <item> hist </item>
      <item> hist_7 </item>
      <item> histogram </item>
      <item> hlogit </item>
      <item> hlu </item>
      <item> hmeans </item>
      <item> hotel </item>
      <item> hotelling </item>
      <item> hprobit </item>
      <item> hreg </item>
      <item> icd9 </item>
      <item> icd9_ff </item>
      <item> icd9p </item>
      <item> iis </item>
      <item> impute </item>
      <item> imtest </item>
      <item> inbase </item>
      <item> integ </item>
      <item> inten </item>
      <item> intreg </item>
      <item> intreg_7 </item>
      <item> intreg_p </item>
      <item> intrg_ll </item>
      <item> intrg_ll2 </item>
      <item> intrg2_ll </item>
      <item> ipolate </item>
      <item> iqreg </item>
      <item> ir </item>
      <item> irf </item>
      <item> irf_create </item>
      <item> irfm </item>
      <item> iri </item>
      <item> is_svy </item>
      <item> is_svysum </item>
      <item> isid </item>
      <item> istdize </item>
      <item> ivprob_1_lf </item>
      <item> ivprob_lf </item>
      <item> ivprobit </item>
      <item> ivprobit_p </item>
      <item> ivreg </item>
      <item> ivreg_footnote </item>
      <item> ivtob_1_lf </item>
      <item> ivtob_lf </item>
      <item> ivtobit </item>
      <item> ivtobit_p </item>

      <item> jackknife </item>
      <item> jacknife </item>
      <item> jknife </item>
      <item> jknife_6 </item>
      <item> jknife_8 </item>
      <item> jkstat </item>
      <item> joinby </item>
      <item> kalarma1 </item>
      <item> kap </item>
      <item> kap_3 </item>
      <item> kapmeier </item>
      <item> kappa </item>
      <item> kapwgt </item>
      <item> kdensity </item>
      <item> kdensity_7 </item>
      <item> ksm </item>
      <item> ksmirnov </item>
      <item> ktau </item>
      <item> kwallis </item>
      <item> labelbook </item>
      <item> ladder </item>
      <item> levels </item>
      <item> levelsof </item>
      <item> leverage </item>
      <item> lfit </item>
      <item> lfit_p </item>
      <item> lincom </item>
      <item> line </item>
      <item> linktest </item>
      <item> lloghet_glf </item>
      <item> lloghet_glf_sh </item>
      <item> lloghet_gp </item>
      <item> lloghet_ilf </item>
      <item> lloghet_ilf_sh </item>
      <item> lloghet_ip </item>
      <item> llogi_sw </item>
      <item> llogis_p </item>
      <item> llogist </item>
      <item> llogistic </item>
      <item> llogistichet </item>
      <item> lnorm_lf </item>
      <item> lnorm_sw </item>
      <item> lnorma_p </item>
      <item> lnormal </item>
      <item> lnormalhet </item>
      <item> lnormhet_glf </item>
      <item> lnormhet_glf_sh </item>
      <item> lnormhet_gp </item>
      <item> lnormhet_ilf </item>
      <item> lnormhet_ilf_sh </item>
      <item> lnormhet_ip </item>
      <item> lnskew0 </item>
      <item> loadingplot </item>
      <item> logi </item>
      <item> logis_lf </item>
      <item> logistic </item>
      <item> logistic_p </item>
      <item> logit </item>
      <item> logit_estat </item>
      <item> logit_p </item>
      <item> loglogs </item>
      <item> logrank </item>
      <item> loneway </item>
      <item> lookfor </item>
      <item> lowess </item>
      <item> lowess_7 </item>
      <item> lpredict </item>
      <item> lrecomp </item>
      <item> lroc </item>
      <item> lroc_7 </item>
      <item> lrtest </item>
      <item> lsens </item>
      <item> lsens_7 </item>
      <item> lsens_x </item>
      <item> lstat </item>
      <item> ltable </item>
      <item> ltable_7 </item>
      <item> ltriang </item>
      <item> lv </item>
      <item> lvr2plot </item>
      <item> lvr2plot_7 </item>

      <item> makecns </item>
      <item> manova_estat </item>
      <item> manova_p </item>
      <item> mantel </item>
      <item> mat_capp </item>
      <item> mat_order </item>
      <item> mat_rapp </item>
      <item> mata_matdescribe </item>
      <item> mata_matsave </item>
      <item> mata_matuse </item>
      <item> matalabel </item>
      <item> matcproc </item>
      <item> matlist </item>
      <item> matname </item>
      <item> matstrik </item>
      <item> mcc </item>
      <item> mcci </item>
      <item> md0_ </item>
      <item> md1_ </item>
      <item> md1debug_ </item>
      <item> md2_ </item>
      <item> md2debug_ </item>
      <item> mds </item>
      <item> mds_estat </item>
      <item> mds_p </item>
      <item> mdsconfig </item>
      <item> mdslong </item>
      <item> mdsmat </item>
      <item> mdsshepard </item>
      <item> mdytoe </item>
      <item> mdytof </item>
      <item> me_derd </item>
      <item> mean </item>
      <item> means </item>
      <item> median </item>
      <item> memsize </item>
      <item> meqparse </item>
      <item> mer </item>
      <item> merg </item>
      <item> merge </item>
      <item> mfp </item>
      <item> mfx </item>
      <item> mhelp </item>
      <item> mhodds </item>
      <item> mixed_ll </item>
      <item> mixed_ll_reparm </item>
      <item> mkassert </item>
      <item> mkmat </item>
      <item> mkspline </item>
      <item> ml </item>
      <item> ml_5 </item>
      <item> ml_adjs </item>
      <item> ml_bhhhs </item>
      <item> ml_c_d </item>
      <item> ml_check </item>
      <item> ml_clear </item>
      <item> ml_cnt </item>
      <item> ml_debug </item>
      <item> ml_defd </item>
      <item> ml_e0 </item>
      <item> ml_e0_bfgs </item>
      <item> ml_e0_cycle </item>
      <item> ml_e0_dfp </item>
      <item> ml_e0i </item>
      <item> ml_e1 </item>
      <item> ml_e1_bfgs </item>
      <item> ml_e1_bhhh </item>
      <item> ml_e1_cycle </item>
      <item> ml_e1_dfp </item>
      <item> ml_e2 </item>
      <item> ml_e2_cycle </item>
      <item> ml_ebfg0 </item>
      <item> ml_ebfr0 </item>
      <item> ml_ebfr1 </item>
      <item> ml_ebh0q </item>
      <item> ml_ebhh0 </item>
      <item> ml_ebhr0 </item>
      <item> ml_ebr0i </item>
      <item> ml_ecr0i </item>
      <item> ml_edfp0 </item>
      <item> ml_edfr0 </item>
      <item> ml_edfr1 </item>
      <item> ml_edr0i </item>
      <item> ml_eds </item>
      <item> ml_eer0i </item>
      <item> ml_egr0i </item>
      <item> ml_elf </item>
      <item> ml_elf_bfgs </item>
      <item> ml_elf_bhhh </item>
      <item> ml_elf_cycle </item>
      <item> ml_elf_dfp </item>
      <item> ml_elfi </item>
      <item> ml_elfs </item>
      <item> ml_enr0i </item>
      <item> ml_enrr0 </item>
      <item> ml_erdu0 </item>
      <item> ml_erdu0_bfgs </item>
      <item> ml_erdu0_bhhh </item>
      <item> ml_erdu0_bhhhq </item>
      <item> ml_erdu0_cycle </item>
      <item> ml_erdu0_dfp </item>
      <item> ml_erdu0_nrbfgs </item>
      <item> ml_exde </item>
      <item> ml_footnote </item>
      <item> ml_geqnr </item>
      <item> ml_grad0 </item>
      <item> ml_graph </item>
      <item> ml_hbhhh </item>
      <item> ml_hd0 </item>
      <item> ml_hold </item>
      <item> ml_init </item>
      <item> ml_inv </item>
      <item> ml_log </item>
      <item> ml_max </item>
      <item> ml_mlout </item>
      <item> ml_model </item>
      <item> ml_nb0 </item>
      <item> ml_opt </item>
      <item> ml_p </item>
      <item> ml_plot </item>
      <item> ml_query </item>
      <item> ml_rdgrd </item>
      <item> ml_repor </item>
      <item> ml_s_e </item>
      <item> ml_score </item>
      <item> ml_searc </item>
      <item> ml_technique </item>
      <item> ml_unhold </item>
      <item> mlf_ </item>
      <item> mlog </item>
      <item> mlogi </item>
      <item> mlogit </item>
      <item> mlogit_footnote </item>
      <item> mlogit_p </item>
      <item> mlopts </item>
      <item> mnl0_ </item>
      <item> mprobit </item>
      <item> mprobit_lf </item>
      <item> mprobit_p </item>
      <item> mrdu0_ </item>
      <item> mrdu1_ </item>
      <item> mvdecode </item>
      <item> mvencode </item>
      <item> mvreg </item>
      <item> mvreg_estat </item>
      <item> nbreg </item>
      <item> nbreg_al </item>
      <item> nbreg_lf </item>
      <item> nbreg_p </item>
      <item> nbreg_sw </item>
      <item> newey </item>
      <item> newey_7 </item>
      <item> newey_p </item>
      <item> nl </item>
      <item> nl_7 </item>
      <item> nl_p </item>
      <item> nl_p_7 </item>
      <item> nlcom </item>
      <item> nlcom_p </item>
      <item> nlexp2 </item>
      <item> nlexp2_7 </item>
      <item> nlexp2a </item>
      <item> nlexp2a_7 </item>
      <item> nlexp3 </item>
      <item> nlexp3_7 </item>
      <item> nlgom3 </item>
      <item> nlgom3_7 </item>
      <item> nlgom4 </item>
      <item> nlgom4_7 </item>
      <item> nlinit </item>
      <item> nllog3 </item>
      <item> nllog3_7 </item>
      <item> nllog4 </item>
      <item> nllog4_7 </item>
      <item> nlog_rd </item>
      <item> nlogit </item>
      <item> nlogit_p </item>
      <item> nlogitgen </item>
      <item> nlogittree </item>
      <item> nlpred </item>
      <item> note </item>
      <item> notes </item>
      <item> nptrend </item>
      <item> numlabel </item>
      <item> old_ver </item>
      <item> olo </item>
      <item> olog </item>
      <item> ologi </item>
      <item> ologi_sw </item>
      <item> ologit </item>
      <item> ologit_p </item>
      <item> ologitp </item>
      <item> op_colnm </item>
      <item> op_comp </item>
      <item> op_diff </item>
      <item> op_inv </item>
      <item> op_str </item>
      <item> opr </item>
      <item> opro </item>
      <item> oprob </item>
      <item> oprob_sw </item>
      <item> oprobi </item>
      <item> oprobi_p </item>
      <item> oprobit </item>
      <item> oprobitp </item>
      <item> opts_exclusive </item>
      <item> orthog </item>
      <item> orthpoly </item>
      <item> ovtest </item>

      <item> pac </item>
      <item> pac_7 </item>
      <item> palette </item>
      <item> parse_dissim </item>
      <item> pause </item>
      <item> pca </item>
      <item> pca_8 </item>
      <item> pca_display </item>
      <item> pca_estat </item>
      <item> pca_p </item>
      <item> pca_rotate </item>
      <item> pcamat </item>
      <item> pchart </item>
      <item> pchart_7 </item>
      <item> pchi </item>
      <item> pchi_7 </item>
      <item> pcorr </item>
      <item> pctile </item>
      <item> pentium </item>
      <item> pergram </item>
      <item> pergram_7 </item>
      <item> permute </item>
      <item> permute_8 </item>
      <item> personal </item>
      <item> peto_st </item>
      <item> pkcollapse </item>
      <item> pkcross </item>
      <item> pkequiv </item>
      <item> pkexamine </item>
      <item> pkexamine_7 </item>
      <item> pkshape </item>
      <item> pksumm </item>
      <item> pksumm_7 </item>
      <item> pnorm </item>
      <item> pnorm_7 </item>
      <item> poisgof </item>
      <item> poiss_lf </item>
      <item> poiss_sw </item>
      <item> poisso_p </item>
      <item> poisson </item>
      <item> poisson_estat </item>
      <item> pperron </item>
      <item> prais </item>
      <item> prais_e </item>
      <item> prais_e2 </item>
      <item> prais_p </item>
      <item> predict </item>
      <item> predictnl </item>
      <item> print </item>
      <item> prob </item>
      <item> probi </item>
      <item> probit </item>
      <item> probit_estat </item>
      <item> probit_p </item>
      <item> proc_time </item>
      <item> procoverlay </item>
      <item> procrustes </item>
      <item> procrustes_estat </item>
      <item> procrustes_p </item>
      <item> profiler </item>
      <item> prop </item>
      <item> proportion </item>
      <item> prtest </item>
      <item> prtesti </item>
      <item> pwcorr </item>
      <item> qby </item>
      <item> qbys </item>
      <item> qchi </item>
      <item> qchi_7 </item>
      <item> qladder </item>
      <item> qladder_7 </item>
      <item> qnorm </item>
      <item> qnorm_7 </item>
      <item> qqplot </item>
      <item> qqplot_7 </item>
      <item> qreg </item>
      <item> qreg_c </item>
      <item> qreg_p </item>
      <item> qreg_sw </item>
      <item> quadchk </item>
      <item> quantile </item>
      <item> quantile_7 </item>
      <item> range </item>
      <item> ranksum </item>
      <item> ratio </item>
      <item> rchart </item>
      <item> rchart_7 </item>
      <item> rcof </item>
      <item> recast </item>
      <item> recode </item>
      <item> reg </item>
      <item> reg3 </item>
      <item> reg3_p </item>
      <item> regdw </item>
      <item> regr </item>
      <item> regre </item>
      <item> regre_p2 </item>
      <item> regres </item>
      <item> regres_p </item>
      <item> regress </item>
      <item> regress_estat </item>
      <item> regriv_p </item>
      <item> remap </item>
      <item> renpfix </item>
      <item> repeat </item>
      <item> reshape </item>
      <item> robvar </item>
      <item> roccomp </item>
      <item> roccomp_7 </item>
      <item> roccomp_8 </item>
      <item> rocf_lf </item>
      <item> rocfit </item>
      <item> rocfit_8 </item>
      <item> rocgold </item>
      <item> rocplot </item>
      <item> rocplot_7 </item>
      <item> roctab </item>
      <item> roctab_7 </item>
      <item> rolling </item>
      <item> rologit </item>
      <item> rologit_p </item>
      <item> rot </item>
      <item> rota </item>
      <item> rotat </item>
      <item> rotate </item>
      <item> rotatemat </item>
      <item> rreg </item>
      <item> rreg_p </item>
      <item> runtest </item>
      <item> rvfplot </item>
      <item> rvfplot_7 </item>
      <item> rvpplot </item>
      <item> rvpplot_7 </item>

      <item> safesum </item>
      <item> sample </item>
      <item> sampsi </item>
      <item> savedresults </item>
      <item> saveold </item>
      <item> sc </item>
      <item> scatter </item>
      <item> scm_mine </item>
      <item> sco </item>
      <item> scob_lf </item>
      <item> scob_p </item>
      <item> scobi_sw </item>
      <item> scobit </item>
      <item> scor </item>
      <item> score </item>
      <item> scoreplot </item>
      <item> scoreplot_help </item>
      <item> scree </item>
      <item> screeplot </item>
      <item> screeplot_help </item>
      <item> sdtest </item>
      <item> sdtesti </item>
      <item> separate </item>
      <item> seperate </item>
      <item> serrbar </item>
      <item> serrbar_7 </item>
      <item> set_defaults </item>
      <item> sfrancia </item>
      <item> shewhart </item>
      <item> shewhart_7 </item>
      <item> signrank </item>
      <item> signtest </item>
      <item> simul </item>
      <item> simul_7 </item>
      <item> simulate </item>
      <item> simulate_8 </item>
      <item> sktest </item>
      <item> slogit </item>
      <item> slogit_d2 </item>
      <item> slogit_p </item>
      <item> smooth </item>
      <item> snapspan </item>
      <item> spearman </item>
      <item> spikeplot </item>
      <item> spikeplot_7 </item>
      <item> spikeplt </item>
      <item> spline_x </item>
      <item> split </item>
      <item> sqreg </item>
      <item> sqreg_p </item>
      <item> ssc </item>
      <item> st </item>
      <item> st_ct </item>
      <item> st_hc </item>
      <item> st_hcd </item>
      <item> st_hcd_sh </item>
      <item> st_is </item>
      <item> st_issys </item>
      <item> st_note </item>
      <item> st_promo </item>
      <item> st_set </item>
      <item> st_show </item>
      <item> st_smpl </item>
      <item> st_subid </item>
      <item> stack </item>
      <item> statsby </item>
      <item> statsby_8 </item>
      <item> stbase </item>
      <item> stci </item>
      <item> stci_7 </item>
      <item> stcox </item>
      <item> stcox_estat </item>
      <item> stcox_fr </item>
      <item> stcox_fr_ll </item>
      <item> stcox_p </item>
      <item> stcox_sw </item>
      <item> stcoxkm </item>
      <item> stcoxkm_7 </item>
      <item> stcstat </item>
      <item> stcurv </item>
      <item> stcurve </item>
      <item> stcurve_7 </item>
      <item> stdes </item>
      <item> stem </item>
      <item> stepwise </item>
      <item> stereg </item>
      <item> stfill </item>
      <item> stgen </item>
      <item> stir </item>
      <item> stjoin </item>
      <item> stmc </item>
      <item> stmh </item>
      <item> stphplot </item>
      <item> stphplot_7 </item>
      <item> stphtest </item>
      <item> stphtest_7 </item>
      <item> stptime </item>
      <item> strate </item>
      <item> strate_7 </item>
      <item> streg </item>
      <item> streg_sw </item>
      <item> streset </item>
      <item> sts </item>
      <item> sts_7 </item>
      <item> stset </item>
      <item> stsplit </item>
      <item> stsum </item>
      <item> sttocc </item>
      <item> sttoct </item>
      <item> stvary </item>
      <item> stweib </item>
      <item> suest </item>
      <item> suest_8 </item>
      <item> sunflower </item>
      <item> sureg </item>
      <item> survcurv </item>
      <item> survsum </item>
      <item> svar </item>
      <item> svar_p </item>
      <item> svmat </item>
      <item> svy </item>
      <item> svy_disp </item>
      <item> svy_dreg </item>
      <item> svy_est </item>
      <item> svy_est_7 </item>
      <item> svy_estat </item>
      <item> svy_get </item>
      <item> svy_gnbreg_p </item>
      <item> svy_head </item>
      <item> svy_header </item>
      <item> svy_heckman_p </item>
      <item> svy_heckprob_p </item>
      <item> svy_intreg_p </item>
      <item> svy_ivreg_p </item>
      <item> svy_logistic_p </item>
      <item> svy_logit_p </item>
      <item> svy_mlogit_p </item>
      <item> svy_nbreg_p </item>
      <item> svy_ologit_p </item>
      <item> svy_oprobit_p </item>
      <item> svy_poisson_p </item>
      <item> svy_probit_p </item>
      <item> svy_regress_p </item>
      <item> svy_sub </item>
      <item> svy_sub_7 </item>
      <item> svy_x </item>
      <item> svy_x_7 </item>
      <item> svy_x_p </item>
      <item> svydes </item>
      <item> svydes_8 </item>
      <item> svygen </item>
      <item> svygnbreg </item>
      <item> svyheckman </item>
      <item> svyheckprob </item>
      <item> svyintreg </item>
      <item> svyintreg_7 </item>
      <item> svyintrg </item>
      <item> svyivreg </item>
      <item> svylc </item>
      <item> svylog_p </item>
      <item> svylogit </item>
      <item> svymarkout </item>
      <item> svymarkout_8 </item>
      <item> svymean </item>
      <item> svymlog </item>
      <item> svymlogit </item>
      <item> svynbreg </item>
      <item> svyolog </item>
      <item> svyologit </item>
      <item> svyoprob </item>
      <item> svyoprobit </item>
      <item> svyopts </item>
      <item> svypois </item>
      <item> svypois_7 </item>
      <item> svypoisson </item>
      <item> svyprobit </item>
      <item> svyprobt </item>
      <item> svyprop </item>
      <item> svyprop_7 </item>
      <item> svyratio </item>
      <item> svyreg </item>
      <item> svyreg_p </item>
      <item> svyregress </item>
      <item> svyset </item>
      <item> svyset_7 </item>
      <item> svyset_8 </item>
      <item> svytab </item>
      <item> svytab_7 </item>
      <item> svytest </item>
      <item> svytotal </item>
      <item> sw </item>
      <item> sw_8 </item>
      <item> swcnreg </item>
      <item> swcox </item>
      <item> swereg </item>
      <item> swilk </item>
      <item> swlogis </item>
      <item> swlogit </item>
      <item> swologit </item>
      <item> swoprbt </item>
      <item> swpois </item>
      <item> swprobit </item>
      <item> swqreg </item>
      <item> swtobit </item>
      <item> swweib </item>
      <item> symmetry </item>
      <item> symmi </item>
      <item> symplot </item>
      <item> symplot_7 </item>
      <item> sysdescribe </item>
      <item> sysuse </item>
      <item> szroeter </item>
      <item> tab_or </item>
      <item> tab1 </item>
      <item> tab2 </item>
      <item> tabi </item>
      <item> table </item>
      <item> tabodds </item>
      <item> tabodds_7 </item>
      <item> tabstat </item>
      <item> te </item>
      <item> tes </item>
      <item> test </item>
      <item> testnl </item>
      <item> testparm </item>
      <item> teststd </item>
      <item> tetrachoric </item>
      <item> time_it </item>
      <item> tis </item>
      <item> tob </item>
      <item> tobi </item>
      <item> tobit </item>
      <item> tobit_p </item>
      <item> tobit_sw </item>
      <item> tostring </item>
      <item> total </item>
      <item> treat_ll </item>
      <item> treatr_p </item>
      <item> treatreg </item>
      <item> trim </item>
      <item> trnb_cons </item>
      <item> trnb_mean </item>
      <item> trpoiss_d2 </item>
      <item> trunc_ll </item>
      <item> truncr_p </item>
      <item> truncreg </item>
      <item> tsappend </item>
      <item> tset </item>
      <item> tsfill </item>
      <item> tsline </item>
      <item> tsline_ex </item>
      <item> tsreport </item>
      <item> tsrline </item>
      <item> tsset </item>
      <item> tssmooth </item>
      <item> tsunab </item>
      <item> ttest </item>
      <item> ttesti </item>
      <item> tut_chk </item>
      <item> tut_wait </item>
      <item> tutorial </item>
      <item> tw </item>
      <item> tware_st </item>
      <item> two </item>
      <item> twoway </item>
      <item> twoway__fpfit_serset </item>
      <item> twoway__function_gen </item>
      <item> twoway__histogram_gen </item>
      <item> twoway__ipoint_serset </item>
      <item> twoway__ipoints_serset </item>
      <item> twoway__kdensity_gen </item>
      <item> twoway__lfit_serset </item>
      <item> twoway__normgen_gen </item>
      <item> twoway__pci_serset </item>
      <item> twoway__qfit_serset </item>
      <item> twoway__scatteri_serset </item>
      <item> twoway__sunflower_gen </item>
      <item> twoway_ksm_serset </item>
      <item> typeof </item>
      <item> unab </item>
      <item> unabbrev </item>
      <item> uselabel </item>

      <item> var </item>
      <item> var_mkcompanion </item>
      <item> var_p </item>
      <item> varbasic </item>
      <item> varfcast </item>
      <item> vargranger </item>
      <item> varirf </item>
      <item> varirf_add </item>
      <item> varirf_cgraph </item>
      <item> varirf_create </item>
      <item> varirf_ctable </item>
      <item> varirf_describe </item>
      <item> varirf_dir </item>
      <item> varirf_drop </item>
      <item> varirf_erase </item>
      <item> varirf_graph </item>
      <item> varirf_ograph </item>
      <item> varirf_rename </item>
      <item> varirf_set </item>
      <item> varirf_table </item>
      <item> varlmar </item>
      <item> varnorm </item>
      <item> varsoc </item>
      <item> varstable </item>
      <item> varstable_w </item>
      <item> varstable_w2 </item>
      <item> varwle </item>
      <item> vce </item>
      <item> vec </item>
      <item> vec_fevd </item>
      <item> vec_mkphi </item>
      <item> vec_p </item>
      <item> vec_p_w </item>
      <item> vecirf_create </item>
      <item> veclmar </item>
      <item> veclmar_w </item>
      <item> vecnorm </item>
      <item> vecnorm_w </item>
      <item> vecrank </item>
      <item> vecstable </item>
      <item> verinst </item>
      <item> viewsource </item>
      <item> vif </item>
      <item> vwls </item>
      <item> wdatetof </item>
      <item> webdescribe </item>
      <item> webseek </item>
      <item> webuse </item>
      <item> weib_lf </item>
      <item> weib_lf0 </item>
      <item> weib1_lf </item>
      <item> weib2_lf </item>
      <item> weibhet_glf </item>
      <item> weibhet_glf_sh </item>
      <item> weibhet_glfa </item>
      <item> weibhet_glfa_sh </item>
      <item> weibhet_gp </item>
      <item> weibhet_ilf </item>
      <item> weibhet_ilf_sh </item>
      <item> weibhet_ilfa </item>
      <item> weibhet_ilfa_sh </item>
      <item> weibhet_ip </item>
      <item> weibu_sw </item>
      <item> weibul_p </item>
      <item> weibull </item>
      <item> weibull_c </item>
      <item> weibull_s </item>
      <item> weibullhet </item>
      <item> whelp </item>
      <item> wilc_st </item>
      <item> wilcoxon </item>
      <item> wntestb </item>
      <item> wntestb_7 </item>
      <item> wntestq </item>
      <item> xchart </item>
      <item> xchart_7 </item>
      <item> xcorr </item>
      <item> xcorr_7 </item>
      <item> xi </item>
      <item> xi_6 </item>
      <item> xpose </item>
      <item> xt_iis </item>
      <item> xt_tis </item>
      <item> xtab_p </item>
      <item> xtabond </item>
      <item> xtbin_p </item>
      <item> xtclog </item>
      <item> xtcloglog </item>
      <item> xtcloglog_8 </item>
      <item> xtcloglog_d2 </item>
      <item> xtcloglog_re_p </item>
      <item> xtcnt_p </item>
      <item> xtcorr </item>
      <item> xtdata </item>
      <item> xtdes </item>
      <item> xtfront_p </item>
      <item> xtfrontier </item>
      <item> xtgee </item>
      <item> xtgee_elink </item>
      <item> xtgee_estat </item>
      <item> xtgee_makeivar </item>
      <item> xtgee_p </item>
      <item> xtgee_plink </item>
      <item> xtgls </item>
      <item> xtgls_p </item>
      <item> xthaus </item>
      <item> xthausman </item>
      <item> xtht_p </item>
      <item> xthtaylor </item>
      <item> xtile </item>
      <item> xtint_p </item>
      <item> xtintreg </item>
      <item> xtintreg_8 </item>
      <item> xtintreg_d2 </item>
      <item> xtintreg_p </item>
      <item> xtivp_1 </item>
      <item> xtivp_2 </item>
      <item> xtivreg </item>
      <item> xtline </item>
      <item> xtline_ex </item>
      <item> xtlogit </item>
      <item> xtlogit_8 </item>
      <item> xtlogit_d2 </item>
      <item> xtlogit_fe_p </item>
      <item> xtlogit_pa_p </item>
      <item> xtlogit_re_p </item>
      <item> xtmixed </item>
      <item> xtmixed_estat </item>
      <item> xtmixed_p </item>
      <item> xtnb_fe </item>
      <item> xtnb_lf </item>
      <item> xtnbreg </item>
      <item> xtnbreg_pa_p </item>
      <item> xtnbreg_refe_p </item>
      <item> xtpcse </item>
      <item> xtpcse_p </item>
      <item> xtpois </item>
      <item> xtpoisson </item>
      <item> xtpoisson_d2 </item>
      <item> xtpoisson_pa_p </item>
      <item> xtpoisson_refe_p </item>
      <item> xtpred </item>
      <item> xtprobit </item>
      <item> xtprobit_8 </item>
      <item> xtprobit_d2 </item>
      <item> xtprobit_re_p </item>
      <item> xtps_fe </item>
      <item> xtps_lf </item>
      <item> xtps_ren </item>
      <item> xtps_ren_8 </item>
      <item> xtrar_p </item>
      <item> xtrc </item>
      <item> xtrc_p </item>
      <item> xtrchh </item>
      <item> xtrefe_p </item>
      <item> xtreg </item>
      <item> xtreg_be </item>
      <item> xtreg_fe </item>
      <item> xtreg_ml </item>
      <item> xtreg_pa_p </item>
      <item> xtreg_re </item>
      <item> xtregar </item>
      <item> xtrere_p </item>
      <item> xtsf_ll </item>
      <item> xtsf_llti </item>
      <item> xtsum </item>
      <item> xttab </item>
      <item> xttest0 </item>
      <item> xttobit </item>
      <item> xttobit_8 </item>
      <item> xttobit_p </item>
      <item> xttrans </item>
      <item> yx </item>
      <item> yxview__barlike_draw </item>
      <item> yxview_area_draw </item>
      <item> yxview_bar_draw </item>
      <item> yxview_dot_draw </item>
      <item> yxview_dropline_draw </item>
      <item> yxview_function_draw </item>
      <item> yxview_iarrow_draw </item>
      <item> yxview_ilabels_draw </item>
      <item> yxview_normal_draw </item>
      <item> yxview_pcarrow_draw </item>
      <item> yxview_pcbarrow_draw </item>
      <item> yxview_pccapsym_draw </item>
      <item> yxview_pcscatter_draw </item>
      <item> yxview_pcspike_draw </item>
      <item> yxview_rarea_draw </item>
      <item> yxview_rbar_draw </item>
      <item> yxview_rbarm_draw </item>
      <item> yxview_rcap_draw </item>
      <item> yxview_rcapsym_draw </item>
      <item> yxview_rconnected_draw </item>
      <item> yxview_rline_draw </item>
      <item> yxview_rscatter_draw </item>
      <item> yxview_rspike_draw </item>
      <item> yxview_spike_draw </item>
      <item> yxview_sunflower_draw </item>
      <item> zap_s </item>
      <item> zinb </item>
      <item> zinb_llf </item>
      <item> zinb_plf </item>
      <item> zip </item>
      <item> zip_llf </item>
      <item> zip_p </item>
      <item> zip_plf </item>
      <item> zt_ct_5 </item>
      <item> zt_hc_5 </item>
      <item> zt_hcd_5 </item>
      <item> zt_is_5 </item>
      <item> zt_iss_5 </item>
      <item> zt_sho_5 </item>
      <item> zt_smp_5 </item>
      <item> ztbase_5 </item>
      <item> ztcox_5 </item>
      <item> ztdes_5 </item>
      <item> ztereg_5 </item>
      <item> ztfill_5 </item>
      <item> ztgen_5 </item>
      <item> ztir_5 </item>
      <item> ztjoin_5 </item>
      <item> ztnb </item>
      <item> ztnb_p </item>
      <item> ztp </item>
      <item> ztp_p </item>
      <item> zts_5 </item>
      <item> ztset_5 </item>
      <item> ztspli_5 </item>
      <item> ztsum_5 </item>
      <item> zttoct_5 </item>
      <item> ztvary_5 </item>
      <item> ztweib_5 </item>
    </list>

    <list name="Mata">
      <item> _cholinv </item>
      <item> _cholsolve </item>
      <item> _corr </item>
      <item> _edittoint </item>
      <item> _edittointtol </item>
      <item> _edittozero </item>
      <item> _edittozerotol </item>
      <item> _eigen_work </item>
      <item> _eigensystem </item>
      <item> _eigenvalues </item>
      <item> _equilc </item>
      <item> _equilr </item>
      <item> _equilrc </item>
      <item> _ftell </item>
      <item> _fullsvd </item>
      <item> _hqrd </item>
      <item> _hqrdp </item>
      <item> _invlower </item>
      <item> _jumble </item>
      <item> _lefteigensystem </item>
      <item> _lowertriangle </item>
      <item> _lud </item>
      <item> _lud_la </item>
      <item> _luinv </item>
      <item> _lusolve </item>
      <item> _matexpsym </item>
      <item> _matlogsym </item>
      <item> _matpowersym </item>
      <item> _mprobit_outer_prod </item>
      <item> _mprobit_quadrature </item>
      <item> _mprobit_quadrature_eval </item>
      <item> _mprobit_quadrature_m </item>
      <item> _mprobit_select </item>
      <item> _mprobit_simulator </item>
      <item> _mprobit_simulator_case_g </item>
      <item> _mprobit_simulator_lk </item>
      <item> _mprobit_simulator_m </item>
      <item> _mprobit_simulator_mi </item>
      <item> _mprobit_validate_choice </item>
      <item> _mprobit_weights_roots_laguerre </item>
      <item> _perhapsequilc </item>
      <item> _perhapsequilr </item>
      <item> _perhapsequilrc </item>
      <item> _pinv </item>
      <item> _qrinv </item>
      <item> _qrsolve </item>
      <item> _rowswap </item>
      <item> _solvelower </item>
      <item> _solveupper </item>
      <item> _sort </item>
      <item> _svd </item>
      <item> _svdsv </item>
      <item> _svsolve </item>
      <item> _svy_design </item>
      <item> _svy_group_sum </item>
      <item> _svy_identify </item>
      <item> _svy_mean </item>
      <item> _svy_mean_post </item>
      <item> _svy_mean_std </item>
      <item> _svy_mean_stdpost </item>
      <item> _svy_over_expand </item>
      <item> _svy_over_sizes </item>
      <item> _svy_post_sizes </item>
      <item> _svy_ratio </item>
      <item> _svy_ratio_post </item>
      <item> _svy_ratio_std </item>
      <item> _svy_ratio_stdpost </item>
      <item> _svy_srs_variance </item>
      <item> _svy_srssub_variance </item>
      <item> _svy_std_sizes </item>
      <item> _svy_total </item>
      <item> _svy_total_post </item>
      <item> _svy_variance </item>
      <item> _symeigen_work </item>
      <item> _symeigensystem </item>
      <item> _symeigenvalues </item>
      <item> _symmatfunc_work </item>
      <item> _uppertriangle </item>
      <item> _xtm_beta </item>
      <item> _xtm_blup </item>
      <item> _xtm_blup_save </item>
      <item> _xtm_blup_save_u </item>
      <item> _xtm_blup_u </item>
      <item> _xtm_cleanup </item>
      <item> _xtm_covtype </item>
      <item> _xtm_de_th_u </item>
      <item> _xtm_delta_to_theta </item>
      <item> _xtm_det_upper </item>
      <item> _xtm_em_get_rij </item>
      <item> _xtm_em_get_uij </item>
      <item> _xtm_em_iter </item>
      <item> _xtm_em_iter_u </item>
      <item> _xtm_em_solve </item>
      <item> _xtm_fact_expand </item>
      <item> _xtm_ga_th_u </item>
      <item> _xtm_gamma_to_theta </item>
      <item> _xtm_get_delta </item>
      <item> _xtm_get_delta_u </item>
      <item> _xtm_invert_R </item>
      <item> _xtm_logdetr00 </item>
      <item> _xtm_logdetr00_u </item>
      <item> _xtm_matexp </item>
      <item> _xtm_matlog </item>
      <item> _xtm_mixed_ll </item>
      <item> _xtm_mixed_ll_u </item>
      <item> _xtm_mixed_ll_uu </item>
      <item> _xtm_mk_eqs </item>
      <item> _xtm_ml_eqlist </item>
      <item> _xtm_ml_eqlist_wrk </item>
      <item> _xtm_setup </item>
      <item> _xtm_start </item>
      <item> _xtm_start_collapse </item>
      <item> _xtm_start_u </item>
      <item> _xtm_th_de_u </item>
      <item> _xtm_th_ga_u </item>
      <item> _xtm_theta_to_delta </item>
      <item> _xtm_theta_to_gamma </item>
      <item> acos </item>
      <item> acosh </item>
      <item> aggregate </item>
      <item> array </item>
      <item> asin </item>
      <item> asinh </item>
      <item> assert </item>
      <item> asserteq </item>
      <item> atan </item>
      <item> atanh </item>
      <item> blockdiag </item>
      <item> boolean </item>
      <item> break </item>
      <item> byte </item>
      <item> case </item>
      <item> cat </item>
      <item> catch </item>
      <item> chdir </item>
      <item> cholesky </item>
      <item> cholinv </item>
      <item> cholsolve </item>
      <item> class </item>
      <item> cloglog </item>
      <item> collate </item>
      <item> colmax </item>
      <item> colmin </item>
      <item> colscalefactors </item>
      <item> colshape </item>
      <item> colvector </item>
      <item> complex </item>
      <item> cond </item>
      <item> const </item>
      <item> continue </item>
      <item> convolve </item>
      <item> convolveslowly </item>
      <item> Corr </item>
      <item> correlation </item>
      <item> Corrslowly </item>
      <item> corruppercase </item>
      <item> cosh </item>
      <item> deconvolve </item>
      <item> default </item>
      <item> delegate </item>
      <item> delete </item>
      <item> designmatrix </item>
      <item> det </item>
      <item> dettriangular </item>
      <item> diag </item>
      <item> diag0cnt </item>
      <item> do </item>
      <item> double </item>
      <item> dsign </item>
      <item> e </item>
      <item> editmissing </item>
      <item> edittoint </item>
      <item> edittointtol </item>
      <item> edittozero </item>
      <item> edittozerotol </item>
      <item> editvalue </item>
      <item> eigensystem </item>
      <item> eigenvalues </item>
      <item> else </item>
      <item> eltypedef </item>
      <item> end </item>
      <item> enum </item>
      <item> explicit </item>
      <item> export </item>
      <item> external </item>
      <item> fft </item>
      <item> fileexists </item>
      <item> findfile </item>
      <item> float </item>
      <item> for </item>
      <item> friend </item>
      <item> ftell </item>
      <item> ftfreqs </item>
      <item> ftpad </item>
      <item> ftperiodogram </item>
      <item> ftretime </item>
      <item> ftunwrap </item>
      <item> ftwrap </item>
      <item> fullsdiag </item>
      <item> fullsvd </item>
      <item> function </item>
      <item> gamma </item>
      <item> global </item>
      <item> goto </item>
      <item> helloworld </item>
      <item> Hilbert </item>
      <item> hqrd </item>
      <item> hqrdmultq </item>
      <item> hqrdmultq1t </item>
      <item> hqrdp </item>
      <item> hqrdq </item>
      <item> hqrdq1 </item>
      <item> hqrdr </item>
      <item> hqrdr1 </item>
      <item> if </item>
      <item> inline </item>
      <item> int </item>
      <item> invcloglog </item>
      <item> invfft </item>
      <item> invHilbert </item>
      <item> invlogit </item>
      <item> invlower </item>
      <item> invorder </item>
      <item> invslowfft </item>
      <item> invslowft </item>
      <item> invvech </item>
      <item> isdiagonal </item>
      <item> jumble </item>
      <item> lefteigensystem </item>
      <item> local </item>
      <item> log10 </item>
      <item> logit </item>
      <item> long </item>
      <item> lowertriangle </item>
      <item> lud </item>
      <item> luinv </item>
      <item> lusolve </item>
      <item> makesymmetric </item>
      <item> mat_norm </item>
      <item> mata </item>
      <item> matexpsym </item>
      <item> matlogsym </item>
      <item> matpowersym </item>
      <item> matrix </item>
      <item> max </item>
      <item> mean </item>
      <item> meanvariance </item>
      <item> min </item>
      <item> mkdir </item>
      <item> mmat_ </item>
      <item> mmat_describe </item>
      <item> mmat_expandlist </item>
      <item> mmat_readerror </item>
      <item> mmat_save </item>
      <item> mmat_use </item>
      <item> mmat_writeerror </item>
      <item> namespace </item>
      <item> new </item>
      <item> norm </item>
      <item> NULL </item>
      <item> numeric </item>
      <item> operator </item>
      <item> orgtypedef </item>
      <item> panelsetup </item>
      <item> panelsetup_u </item>
      <item> panelstats </item>
      <item> panelsubmatrix </item>
      <item> panelsubview </item>
      <item> pathlist </item>
      <item> pathsubsysdir </item>
      <item> pi </item>
      <item> pinv </item>
      <item> pointer </item>
      <item> polyadd </item>
      <item> polyadd_expand </item>
      <item> polyderiv </item>
      <item> polydiv </item>
      <item> polyeval </item>
      <item> polyinteg </item>
      <item> polymorphic </item>
      <item> polymult </item>
      <item> polyroots </item>
      <item> polysolve </item>
      <item> polytrim </item>
      <item> pragma </item>
      <item> private </item>
      <item> protected </item>
      <item> public </item>
      <item> qrd </item>
      <item> qrdp </item>
      <item> qrinv </item>
      <item> qrsolve </item>
      <item> quad </item>
      <item> quadcorrelation </item>
      <item> quadmeanvariance </item>
      <item> quadrant </item>
      <item> quadvariance </item>
      <item> range </item>
      <item> rangen </item>
      <item> rank </item>
      <item> rank_from_singular_values </item>
      <item> real </item>
      <item> return </item>
      <item> revorder </item>
      <item> rmdir </item>
      <item> rowmax </item>
      <item> rowmin </item>
      <item> rowscalefactors </item>
      <item> rowvector </item>
      <item> scalar </item>
      <item> scalar_norm </item>
      <item> short </item>
      <item> sign </item>
      <item> signed </item>
      <item> sinh </item>
      <item> sizeof </item>
      <item> slowfft </item>
      <item> slowft </item>
      <item> solve_tol </item>
      <item> solve_tolscale </item>
      <item> solvelower </item>
      <item> solveupper </item>
      <item> sort </item>
      <item> spline3 </item>
      <item> spline3eval </item>
      <item> splineeval </item>
      <item> st_islmname </item>
      <item> static </item>
      <item> string </item>
      <item> struct </item>
      <item> super </item>
      <item> svd </item>
      <item> svdsv </item>
      <item> svsolve </item>
      <item> switch </item>
      <item> symeigensystem </item>
      <item> symeigenvalues </item>
      <item> tanh </item>
      <item> template </item>
      <item> this </item>
      <item> throw </item>
      <item> Toeplitz </item>
      <item> trace </item>
      <item> trace_prod </item>
      <item> transmorphic </item>
      <item> transposeonly </item>
      <item> try </item>
      <item> typedef </item>
      <item> typename </item>
      <item> union </item>
      <item> uniqrows </item>
      <item> unitcircle </item>
      <item> unorder </item>
      <item> unsigned </item>
      <item> uppertriangle </item>
      <item> using </item>
      <item> Vandermonde </item>
      <item> variance </item>
      <item> vec </item>
      <item> vec_norm </item>
      <item> vech </item>
      <item> vector </item>
      <item> version </item>
      <item> virtual </item>
      <item> void </item>
      <item> volatile </item>
      <item> while </item>
    </list>

    <contexts>

      <context        attribute="Normal Text"   lineEndContext="#stay" name="Normal Text">

        <keyword      attribute="Keyword"       context="#stay" String="proc-options" />
        <keyword      attribute="Keyword"       context="#stay" String="Internal-Stata-commands" />
        <keyword      attribute="Keyword"       context="#stay" String="procedures" />

        <keyword      attribute="Graphics"      context="#stay" String="graphics-options" />
        <keyword      attribute="Graphics"      context="#stay" String="Stata-colors" />

        <keyword      attribute="Functions"     context="#stay" String="math-functions" />
        <keyword      attribute="Functions"     context="#stay" String="probability-functions" />
        <keyword      attribute="Functions"     context="#stay" String="string-functions" />
        <keyword      attribute="Functions"     context="#stay" String="programming-functions" />
        <keyword      attribute="Functions"     context="#stay" String="date-functions" />
        <keyword      attribute="Functions"     context="#stay" String="timeseries-functions" />
        <keyword      attribute="Functions"     context="#stay" String="matrix-functions" />
        <keyword      attribute="Functions"     context="#stay" String="egen-functions" />

        <keyword      attribute="Mata"          context="#stay" String="Mata" />

        <keyword      attribute="Constants"     context="#stay" String="constants" />
        <keyword      attribute="SystemParams"  context="#stay" String="System-parameters" />

        <keyword      attribute="Macro"         context="#stay" String="macro-extended-functions" />
        <RegExpr      attribute="GlobalMacro"   context="#stay" String="\$[A-Za-z0-9_?{}!]+" />

        <keyword      attribute="DataType"      context="#stay" String="types" />

        <DetectChar   attribute="String"        context="string" char="&quot;"/>
        <Detect2Chars attribute="String2"       context="#stay" char="`" char1='"'/>

        <RangeDetect  attribute="Macro"         context="#stay" char= "`" char1= "'" />

        <Detect2Chars attribute="Comment" context="Commentar 1" char="/" char1="/"/>
        <Detect2Chars attribute="Comment" context="Commentar 2" char="/" char1="*" beginRegion="Comment"/>

        <DetectChar   attribute="Normal Text"   context="#stay" char="{" beginRegion="block"/>
        <DetectChar   attribute="Normal Text"   context="#stay" char="}" endRegion="block"/>

        <DetectString attribute="Normal Text"   context="#stay" string="program define" beginRegion="block"/>
        <DetectString attribute="Normal Text"   context="#stay" string="end" endRegion="block"/>

      </context>

      <context attribute="Comment" lineEndContext="#pop" name="Commentar 1">
        <IncludeRules context="##Alerts" />
      </context>

      <context attribute="Comment" lineEndContext="#stay" name="Commentar 2">
        <Detect2Chars attribute="Comment" context="#pop" char="*" char1="/" endRegion="Comment"/>
        <IncludeRules context="##Alerts" />
      </context>

      <context attribute="Comment" lineEndContext="#stay" name="Comment 2">
        <Detect2Chars attribute="Comment" context="#pop" char="*" char1="/" endRegion="Comment"/>
      </context>

      <context attribute="String" lineEndContext="#stay" name="string">
        <HlCStringChar attribute="String Char" context="#stay"/>
        <DetectChar attribute="String" context="#pop" char="&quot;"/>
      </context>

      <context name = "Base" attribute = "Normal Text" lineEndContext = "#stay">
        <RegExpr String = "\$[A-Za-z0-9_?{}!]+" attribute = "GlobalMacro" context = "#stay"/>
      </context>

    </contexts>

    <itemDatas>

      <itemData name="Normal Text"    defStyleNum="dsNormal"/>
      <itemData name="Keyword"        defStyleNum="dsKeyword"/>
      <itemData name="Graphics"       defStyleNum="dsBaseN" />
      <itemData name="Functions"      defStyleNum="dsFunction" />
      <itemData name="Mata"           defStyleNum="dsKeyword" />
      <itemData name="Constants"      defStyleNum="dsDataType" />
      <ItemData name="System Params"  defStyleNum="dsDecVal" />

      <itemData name="String"         defStyleNum="dsString"/>
      <itemData name="String Char"    defStyleNum="dsChar"/>

      <itemData name="Macro"          defStyleNum="dsOthers"/>
      <itemData name="GlobalMacro"    defStyleNum="dsOthers"/>

      <itemData name="Data Type"      defStyleNum="dsDataType"/>
      <itemData name="Comment"        defStyleNum="dsComment"/>

    </itemDatas>

  </highlighting>

  <general>
    <comments>
      <comment name="singleLine" start="//" />
      <comment name="multiLine" start="/*" end="*/" />
    </comments>
    <keywords casesensitive="1" />
  </general>

</language>
Comment 1 Dominik Haumann 2006-12-15 17:10:04 UTC
Created attachment 18939 [details]
Working version of the file.

Hi, this is a corrected version of the file. The original version did not work
at all and did not validate against the language.dtd.

@Larry: You can validate stata.xml like this:
  xmllint --noout --dtdvalid language.dtd stata.xml

As I don't know stata at all, I would like to have a review before committing.
Comment 2 Dominik Haumann 2010-02-19 15:23:14 UTC
Ping? No answer for 4 years...
Comment 3 Christoph Cullmann 2011-08-12 08:08:28 UTC
Git commit 891fd3bdd31c71737111c4d96e979d31350246c7 by Christoph Cullmann.
Committed on 12/08/2011 at 10:07.
Pushed by cullmann into branch 'master'.

add Stata xml file
removed *.log/*.LOG suffix, that is no real good idea to use
BUG: 135646

M  +2979 -226  part/syntax/data/stata.xml

http://commits.kde.org/kate/891fd3bdd31c71737111c4d96e979d31350246c7